Post a message to a conversation
curl --request POST \
--url https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"mentions": [
{
"configurationId": "<string>",
"type": "user",
"userId": "<string>"
}
],
"context": {
"timezone": "<string>",
"profilePictureUrl": "<string>",
"origin": "<string>",
"clientSideMCPServerIds": [
"<string>"
],
"selectedMCPServerViewIds": [
"<string>"
]
},
"skipToolsValidation": true
}
'import requests
url = "https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/messages"
payload = {
"content": "<string>",
"mentions": [
{
"configurationId": "<string>",
"type": "user",
"userId": "<string>"
}
],
"context": {
"timezone": "<string>",
"profilePictureUrl": "<string>",
"origin": "<string>",
"clientSideMCPServerIds": ["<string>"],
"selectedMCPServerViewIds": ["<string>"]
},
"skipToolsValidation": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
mentions: [{configurationId: '<string>', type: 'user', userId: '<string>'}],
context: {
timezone: '<string>',
profilePictureUrl: '<string>',
origin: '<string>',
clientSideMCPServerIds: ['<string>'],
selectedMCPServerViewIds: ['<string>']
},
skipToolsValidation: true
})
};
fetch('https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"type": "user_message",
"sId": "<string>",
"created": 123,
"version": 123,
"rank": 123,
"content": "<string>",
"id": 123,
"user": {
"sId": "<string>",
"username": "<string>",
"fullName": "<string>",
"image": "<string>"
},
"mentions": [
{
"configurationId": "<string>",
"type": "user",
"userId": "<string>"
}
],
"richMentions": [
{
"id": "<string>",
"label": "<string>",
"pictureUrl": "<string>",
"description": "<string>",
"dismissed": true,
"userFavorite": true
}
],
"context": {
"username": "<string>",
"timezone": "<string>",
"fullName": "<string>",
"email": "<string>",
"profilePictureUrl": "<string>"
},
"reactions": [
{
"emoji": "<string>",
"users": [
{
"userId": "<string>",
"username": "<string>",
"fullName": "<string>"
}
]
}
]
},
"contentFragments": [
{
"type": "content_fragment",
"sId": "<string>",
"title": "<string>",
"contentType": "<string>",
"id": 123,
"created": 123,
"version": 123,
"rank": 123,
"sourceUrl": "<string>",
"context": {
"username": "<string>",
"fullName": "<string>",
"email": "<string>",
"profilePictureUrl": "<string>"
},
"contentFragmentId": "<string>",
"expiredReason": "data_source_deleted",
"fileId": "<string>",
"path": "<string>",
"skipDataSourceIndexing": true,
"skipFileProcessing": true,
"snippet": "<string>",
"textUrl": "<string>",
"textBytes": 123,
"nodeId": "<string>",
"nodeDataSourceViewId": "<string>"
}
],
"agentMessages": [
{
"type": "agent_message",
"sId": "<string>",
"version": 123,
"rank": 123,
"parentMessageId": "<string>",
"id": 123,
"agentMessageId": 123,
"created": 123,
"completedTs": 123,
"parentAgentMessageId": "<string>",
"content": "<string>",
"chainOfThought": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"metadata": {}
},
"configuration": {
"id": 123,
"sId": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>",
"pictureUrl": "<string>",
"model": {
"providerId": "<string>",
"modelId": "<string>",
"temperature": 123
},
"maxStepsPerRun": 123,
"tags": [
{
"sId": "<string>",
"name": "<string>"
}
],
"versionCreatedAt": "<string>",
"versionAuthorId": 123,
"instructions": "<string>",
"userFavorite": true,
"templateId": "<string>",
"requestedGroupIds": [
[
"<string>"
]
],
"requestedSpaceIds": [
"<string>"
],
"canRead": true,
"canEdit": true,
"lastAuthors": [
"<string>"
],
"editors": [
{
"sId": "<string>",
"fullName": "<string>",
"image": "<string>"
}
],
"usage": {
"messageCount": 123,
"conversationCount": 123,
"userCount": 123,
"timePeriodSec": 123
},
"feedbacks": {
"up": 123,
"down": 123
}
},
"actions": [
{}
],
"contents": [
{
"step": 123,
"content": {}
}
],
"skipToolsValidation": true,
"richMentions": [
{
"id": "<string>",
"label": "<string>",
"pictureUrl": "<string>",
"description": "<string>",
"dismissed": true,
"userFavorite": true
}
],
"completionDurationMs": 123,
"reactions": [
{
"emoji": "<string>",
"users": [
{
"userId": "<string>",
"username": "<string>",
"fullName": "<string>"
}
]
}
],
"costCredits": 123,
"subAgentCostCredits": 123,
"resolvedModel": {
"providerId": "<string>",
"modelId": "<string>",
"reasoningEffort": "<string>"
}
}
]
}Private Messages
Post a message to a conversation
Post a new user message to an existing conversation, triggering agent responses.
POST
/
api
/
w
/
{wId}
/
assistant
/
conversations
/
{cId}
/
messages
Post a message to a conversation
Authorizations
Your DUST API key is a Bearer token.
Body
application/json
⌘I